package cn.wisenergy.model.app;


import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * Created by m1991 on 2021/2/22 15:29
 * 资讯实体类
 */

@Data
@ApiModel(value = "AccountUsers")
@TableName("shop_zx")
public class shopZx extends Model<shopZx> implements Serializable{
    private static final long serialVersionUID = 2525339404301884673L;

    /**
     * 资讯主键id
     */
    @ApiModelProperty(name = "zxid", value = "资讯主键id")
    private Integer zxid;

    /**
     * 视频/图片存放地址
     */
    @ApiModelProperty(name = "zxUrl", value = "视频/图片存放地址")
    private Integer zxUrl;

    /**
     * 用户id(作者id
     */
    @ApiModelProperty(name = "userid", value = "用户id(作者id)")
    private Integer userid;

    /**
     * 获赞数
     */
    @ApiModelProperty(name = "zxLikes", value = "获赞数")
    private Integer zxLikes;

    /**
     * 视频/图片名称
     */
    @ApiModelProperty(name = "zxName", value = "视频/图片名称")
    private Integer zxName;

    /**
     * 审核字段
     */
    @ApiModelProperty(name = "zxShenHe", value = "审核字段")
    private Integer zxShenHe;

    /**
     * 资讯文字输入字段
     */
    @ApiModelProperty(name = "zxField", value = "资讯文字输入字段")
    private Integer zxField;

    public Integer getZxid() {
        return zxid;
    }

    public void setZxid(Integer zxid) {
        this.zxid = zxid;
    }

    public Integer getZxUrl() {
        return zxUrl;
    }

    public void setZxUrl(Integer zxUrl) {
        this.zxUrl = zxUrl;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public Integer getZxLikes() {
        return zxLikes;
    }

    public void setZxLikes(Integer zxLikes) {
        this.zxLikes = zxLikes;
    }

    public Integer getZxName() {
        return zxName;
    }

    public void setZxName(Integer zxName) {
        this.zxName = zxName;
    }

    public Integer getZxShenHe() {
        return zxShenHe;
    }

    public void setZxShenHe(Integer zxShenHe) {
        this.zxShenHe = zxShenHe;
    }

    public Integer getZxField() {
        return zxField;
    }

    public void setZxField(Integer zxField) {
        this.zxField = zxField;
    }
    @Override
    public String toString() {
        return "shopzx{" +
                "zxid=" + zxid +
                ", zxUrl=" + zxUrl +
                ", userid=" + userid +
                ", zxLikes=" + zxLikes +
                ", zxName=" + zxName +
                ", zxShenHe=" + zxShenHe +
                ", zxField=" + zxField +
                "}";
    }
}
